{
{% if live_restore is defined %}
  "live-restore": true,
{% else %}
    "live-restore": false,
{% endif %}
  "insecure-registries": [
{% for reg in docker_insecure_registries %}
    "{{ reg }}"{% if not loop.last %},{% endif %}
{% endfor %}
  ],
  "default-address-pools": [{{ docker_default_address_pools | map("to_json") | join(", ")}}],
{% if docker_registry_mirrors is defined and docker_registry_mirrors|length > 0 %}
  "registry-mirrors": [{{ docker_registry_mirrors | map("to_json") | join(", ") }}],
{% endif %}
  "metrics-addr" : "0.0.0.0:{{ docker_metrics_port }}",
{% if docker_mtu is defined %}
  "mtu" : {{ docker_mtu }},
{% endif %}
  "log-driver": "json-file",
  "log-opts": {
      "max-size": "10m",
      "max-file": "3"
      },
{% if docker_activate_nvidia|bool and nvidia_driver_exists|bool %}
  "exec-opts": ["native.cgroupdriver=cgroupfs"],
    "runtimes": {
        "nvidia": {
            "path": "/usr/bin/nvidia-container-runtime",
            "runtimeArgs": []
        }
    }
{% else %}
  "exec-opts": ["native.cgroupdriver=cgroupfs"]
{% endif %}
}
